/*!
 * @webdatarocks/vue-webdatarocks v1.4.15
 * (c) WebDataRocks <help@webdatarocks.com>
 * Released under the MIT License.
 */
System.register('Pivot', ['vue', '@webdatarocks/webdatarocks'], function (exports) {
  'use strict';
  var Vue, WebDataRocks;
  return {
    setters: [function (module) {
      Vue = module.default;
    }, function (module) {
      WebDataRocks = module.default;
    }],
    execute: function () {

      function _typeof(obj) {
        "@babel/helpers - typeof";

        return _typeof = "function" == typeof Symbol && "symbol" == typeof Symbol.iterator ? function (obj) {
          return typeof obj;
        } : function (obj) {
          return obj && "function" == typeof Symbol && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj;
        }, _typeof(obj);
      }

      //
      var script = {
        name: "Pivot",
        props: {
          afterchartdraw: Function,
          aftergriddraw: Function,
          beforegriddraw: Function,
          beforetoolbarcreated: Function,
          cellclick: Function,
          celldoubleclick: Function,
          componentFolder: String,
          customizeCell: Function,
          customizeContextMenu: Function,
          datachanged: Function,
          dataerror: Function,
          datafilecancelled: Function,
          dataloaded: Function,
          fieldslistclose: Function,
          fieldslistopen: Function,
          filterclose: Function,
          filteropen: Function,
          fullscreen: Function,
          global: Object,
          height: [String, Number],
          loadingdata: Function,
          loadinglocalization: Function,
          loadingolapstructure: Function,
          loadingreportfile: Function,
          localizationerror: Function,
          localizationloaded: Function,
          olapstructureerror: Function,
          olapstructureloaded: Function,
          openingreportfile: Function,
          querycomplete: Function,
          queryerror: Function,
          ready: Function,
          report: [String, Object],
          reportchange: Function,
          reportcomplete: Function,
          reportfilecancelled: Function,
          reportfileerror: Function,
          reportfileloaded: Function,
          runningquery: Function,
          toolbar: Boolean,
          update: Function,
          width: [Number, String]
        },
        mounted: function mounted() {
          this.webdatarocks = new WebDataRocks(Object.assign({}, this.$props, {
            container: this.$el
          }));
        },
        beforeUpdate: function beforeUpdate() {
          return false;
        }
      };

      function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
          if (typeof shadowMode !== 'boolean') {
              createInjectorSSR = createInjector;
              createInjector = shadowMode;
              shadowMode = false;
          }
          // Vue.extend constructor export interop.
          const options = typeof script === 'function' ? script.options : script;
          // render functions
          if (template && template.render) {
              options.render = template.render;
              options.staticRenderFns = template.staticRenderFns;
              options._compiled = true;
              // functional template
              if (isFunctionalTemplate) {
                  options.functional = true;
              }
          }
          // scopedId
          if (scopeId) {
              options._scopeId = scopeId;
          }
          let hook;
          if (moduleIdentifier) {
              // server build
              hook = function (context) {
                  // 2.3 injection
                  context =
                      context || // cached call
                          (this.$vnode && this.$vnode.ssrContext) || // stateful
                          (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
                  // 2.2 with runInNewContext: true
                  if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                      context = __VUE_SSR_CONTEXT__;
                  }
                  // inject component styles
                  if (style) {
                      style.call(this, createInjectorSSR(context));
                  }
                  // register component module identifier for async chunk inference
                  if (context && context._registeredComponents) {
                      context._registeredComponents.add(moduleIdentifier);
                  }
              };
              // used by ssr in case component is cached and beforeCreate
              // never gets called
              options._ssrRegister = hook;
          }
          else if (style) {
              hook = shadowMode
                  ? function (context) {
                      style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
                  }
                  : function (context) {
                      style.call(this, createInjector(context));
                  };
          }
          if (hook) {
              if (options.functional) {
                  // register for functional component in vue file
                  const originalRender = options.render;
                  options.render = function renderWithStyleInjection(h, context) {
                      hook.call(context);
                      return originalRender(h, context);
                  };
              }
              else {
                  // inject component registration as beforeCreate hook
                  const existing = options.beforeCreate;
                  options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
              }
          }
          return script;
      }

      /* script */
      var __vue_script__ = script;

      /* template */
      var __vue_render__ = function __vue_render__() {
        var _vm = this;
        var _h = _vm.$createElement;
        var _c = _vm._self._c || _h;
        return _c('div', [_vm._v("Pivot")]);
      };
      var __vue_staticRenderFns__ = [];

      /* style */
      var __vue_inject_styles__ = undefined;
      /* scoped */
      var __vue_scope_id__ = "data-v-f66e54a6";
      /* module identifier */
      var __vue_module_identifier__ = undefined;
      /* functional template */
      var __vue_is_functional_template__ = false;
      /* style inject */

      /* style inject SSR */

      /* style inject shadow dom */

      var __vue_component__ = /*#__PURE__*/normalizeComponent({
        render: __vue_render__,
        staticRenderFns: __vue_staticRenderFns__
      }, __vue_inject_styles__, __vue_script__, __vue_scope_id__, __vue_is_functional_template__, __vue_module_identifier__, false, undefined, undefined, undefined);
      exports('Pivot', __vue_component__);

      //Allows user to set a custom component name
      function install(Vue) {
        var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
        Vue.component(options.PivotName || 'Pivot', __vue_component__);
      }
      exports('default', install);
      //Auto-Install when included directly in the browser:
      if ((typeof window === "undefined" ? "undefined" : _typeof(window)) != undefined && window.Vue && window.Vue == Vue) {
        install(window.Vue);
      }

    }
  };
});
